Skip to main content
POST
The Logs Summary endpoint returns aggregated statistics for logs matching the given filters. This is useful for getting quick insights into your LLM usage without fetching all individual logs.
Both GET and POST methods are supported. POST is recommended when using complex filters.

Query parameters

Same parameters as the List Logs endpoint:
string
The start time for filtering logs in ISO 8601 format. If not provided, defaults to 1 hour ago.
string
The end time for filtering logs in ISO 8601 format. If not provided, defaults to current time.
string
default:"false"
Whether to include logs from all environments. is_test parameter will override this parameter. Options: true, false.
string
default:"false"
Whether to include test logs only. This parameter will override the all_envs parameter. Options: true, false.

Body parameters

You can add filter parameters to the request body (same as List Logs endpoint):
object
The filters to be applied to the logs.
If you want to filter your custom properties, add metadata__ + your custom property name. For example, to filter my_custom_property, use metadata__my_custom_property.For a complete list of filter operators and examples, see the Filters API Reference.

URL-based Filtering

Just like the List Logs endpoint, you can use URL parameters for quick filtering:
See the List Logs endpoint for complete URL filtering documentation.

Response

All fields are returned at the top level (consistent with experiments API format):
float
Total cost in USD for all filtered logs.
integer
Total tokens (prompt + completion) for all filtered logs.
integer
Total number of requests matching the filters.
object
Aggregated score summaries grouped by evaluator_id. Each evaluator includes:
Score Type Behavior:
  • Numerical/Percentage evaluators: Only avg_score is populated
  • Boolean evaluators: Only true_count and false_count are populated
  • Other types: String, categorical, and JSON evaluators are not included in aggregations

Use Cases